;************************************************
;***                                          ***
;***    EmsDefs.ASM                           ***
;***                                          ***
;***    Contains definitions for EMS routines ***
;***                                          ***
;************************************************

;
;   Define the EMS interrupt:
;
Ems         equ     67h

;
;   Now define the 3.0 EMS function codes.
;   These are 8 bit values which are loaded into
;   AH before calling the EMS interrupt.
;
GetStatus           equ     40h
GetPFA              equ     41h
GetPSEG             equ     41h
GetFreeEM           equ     42h
AllocateEM          equ     43h
MapEMPage           equ     44h
FreeEM              equ     45h
GetVersion          equ     46h
SavePageMap         equ     47h
RestorePageMap      equ     48h
Reserved1           equ     49h
Reserved2           equ     4ah
GetNumActHandles    equ     4bh
GetPagesForHandle   equ     4ch
GetPagesAllHandles  equ     4dh

;
;   Define the 3.2 and 4.0 EMS function codes:
;
;   Note that these are 16 bit values which
;   are loaded into AX prior to calling
;   the EMS interrupt. (These can be regarded
;   as an 8 bit function plus an 8 bit sub-
;   function.
;
;   The 3.2 codes:
;

SavePageMap32       equ     4e00h
RestPageMap32       equ     4e01h
SwapPageMap32       equ     4e02h
GetMapInfoSize32    equ     4e03h

;
;   The 4.0 codes:
;
SavePartialMap40    equ     4f00h
RestPartialMap40    equ     4f01h
GetPMapInfoSize40   equ     4f02h

MapPagesByNum40     equ     5000h
MapPagesByAddr40    equ     5001h

ReallocHandPages40  equ     5100h

GetHandleAttr40     equ     5200h
SetHandleAttr40     equ     5201h
GetAttrCapability40 equ     5202h

GetHandleName40     equ     5300h
SetHandleName40     equ     5301h

GetAllHandleNames40 equ     5400h
SearchHandleName40  equ     5401h
GetTotalHandles40   equ     5402h

MapPagesJumpNum40   equ     5500h
MapPagesJumpSeg40   equ     5501h

MapPagesCallNum40   equ     5600h
MapPagesCallSeg40   equ     5601h
GetStackNeeded40    equ     5602h

MoveMemRegion40     equ     5700h
SwapMemRegions40    equ     5701h

GetAddrsMappable40  equ     5800h
GetNumMappable40    equ     5801h

GetHWConfig40       equ     5900h
GetNumRawPages40    equ     5901h

AllocHandleStd40    equ     5a00h
AllocHandleRaw40    equ     5a01h
GetAltMapRegs40     equ     5b00h
SetAltMapRegs40     equ     5b01h
GetAltMapRegSize40  equ     5b02h
AllocAltMapRegs40   equ     5b03h
ReleaseAltMapRegs40 equ     5b04h
AllocDMARegs40      equ     5b05h
EnableDMA40         equ     5b06h
DisableDMA40        equ     5b07h
ReleaseDMARegs40    equ     5b08h

PrepEmmWarmBoot40   equ     5c00h

EnableEmmOSFuncs40  equ     5d00h
DisableEmmOSFuncs40 equ     5d01h
ReleaseAccessKey40  equ     5d02h

    
